### Method

# Secret Service set_alias_to_dbus_path_sync

#### Declaration [src]

    gboolean
    secret_service_set_alias_to_dbus_path_sync (
      SecretService* self,
      const gchar* alias,
      const gchar* collection_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Assign a collection to this alias.

Aliases help determine well known collections, such as ‘default’. This method takes the dbus object path of the collection to assign to the alias.

This method may block and should not be used in user interface threads.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`alias` | `const gchar*`
| The alias to assign the collection to.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`collection_path` | `const gchar*`
| The D-Bus object path of the collection to assign to the alias.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful.